<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Contest</title>
    <script defer type="text/javascript" th:src="@{/scripts.js}"></script>
    <!-- Favicon-->
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico"/>
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic" rel="stylesheet"
          type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>

<!--Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<div class="align-items-center">
    <img class="img-fluid-width" style="width: 100%" th:src="@{${'/img/' + contest.photo.fileName}}"
         alt="Responsive image"/>
</div>
<small th:text="#{photo-purpose}" style="margin-left: 10px"></small>
<!--Contest name -->
<h2 class="text-center text-uppercase text-secondary me-auto" th:text="*{contest.title}">
    Contests</h2>
<div class="divider-custom">
    <div class="divider-custom-line"></div>
</div>

<h4 class="text-center text-uppercase text-secondary me-auto" th:text="*{contest.phase.phase}">
    Phase </h4>
<hr class="my-4"/>

<!--Join the contest-->
<div th:unless="${currentUser.isOrganizer()}" class="left" data-bs-toggle="modal" data-bs-target="#joincontest">
    <button type="button" class="btn btn-outline-secondary"
            th:unless="${participate || currentUser.getJury().contains(contest)}">Join Contest
    </button>
</div>

<div th:if="${currentUser.isOrganizer()}" class="left" data-bs-toggle="modal" data-bs-target="#addJury">
    <button type="button" th:if="${contest.phase.id == 1}" class="btn btn-outline-secondary">Add Jury</button>
</div>

<!--Add Jury Modal-->
<div class="portfolio-modal modal fade" id="addJury" tabindex="-1" aria-labelledby="portfolioModal1"
     aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header border-0">
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body text-center pb-5">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-lg-8">
                            <!-- Portfolio Modal - Title-->
                            <table class="table table-hover" style="color: #000000">
                                <thead>
                                <tr>
                                    <th scope="col" th:text="#{username.label}">Username</th>
                                    <th scope="col" th:text="#{last-name.label}">Name name</th>
                                    <th scope="col" th:text="#{points.label}">Points</th>
                                    <th scope="col" th:text="#{email.label}">Email</th>
                                </tr>
                                </thead>
                                <tbody>
                                <div class="row" th:each="user : ${usersJury}">
                                    <tr>
                                        <td>
                                            <a href="#" th:href="@{/users/jury/{id}(id=${user.getId()})}"
                                               th:text="' ' + ${user.getUsername()}">Users</a>
                                        </td>
                                        <td th:text="${user.getFirst_name() + ' ' + user.getLast_name()}">Name</td>
                                        <td class="cell" th:text="${user.getPoints()}">Points</td>
                                        <td class="cell" th:text="${user.getEmail()}">Email</td>
                                        <td>
                                            <a href="#" methods="post"
                                               th:href="@{/contests/{id}/add-jury/{userId}(id=${contest.id}, userId=${user.id})}">
                                                <button type="submit" class="btn">
                                                    <i class="fa-solid fa-gavel"></i>
                                                </button>
                                            </a>
                                        </td>
                                    </tr>
                                </div>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--Modal buttons for submissions-->
<section class="page-section portfolio" id="portfolio">
    <div class="row justify-content-center">
        <!--                            <div class="col-md-6 col-lg-4 mb-5" >-->
        <!-- Portfolio Item 1-->
        <div th:each="sub : ${contest.submissions}" class="col-md-6 col-lg-3 mb-5">
            <div class="img-frame" style="margin-bottom: 10px">
                <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                     th:attr="data-bs-target='#sub' + ${sub.id}">
                    <div class="portfolio-item-caption d-flex align-items-center justify-content-center h-100 w-100">
                        <div class="portfolio-item-caption-content text-center text-white"><i
                                class="fas fa-plus fa-3x"></i></div>
                    </div>
                    <!--                        for the image that the candidate uploaded-->
                    <img class="img-fluid border-radius-0" th:src="@{${'/img/' + sub.photo.fileName}}" alt="..."/>
                </div>
            </div>
            <a class="list-inline-item" th:href="@{/submissions/{id}/delete(id=${sub.getId()})}"
               th:if="${currentUser.isOrganizer()}"
               method="post">
                <button class="btn btn-cancel" type="submit">
                    <i class="fas fa-trash"></i>
                </button>
            </a>
            <a class="list-inline-item" th:href="@{/users/{id}(id=${sub.getParticipant().getId()})}">
                <h5 th:text="*{sub.getParticipant().username}">Name</h5>
            </a>
        </div>

    </div>
</section>
<!-- Candidate Modal-->
<div th:each="sub : ${contest.submissions}" class="portfolio-modal modal fade" th:id="'sub' + ${sub.id}" tabindex="-1"
     role="dialog" aria-labelledby="#portfolioModal0Label" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>

            <div class="modal-body text-center pb-5">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-lg-8">

                            <!-- Portfolio Modal - Image-->
                            <img class="img-fluid rounded mb-5" th:src="@{${'/img/' + sub.photo.fileName}}" alt="..."/>
                            <br/>
                            <small th:text="#{photo-purpose}"></small>
                            <!-- Portfolio Modal - Title-->
                            <h2 class="portfolio-modal-title text-secondary text-uppercase mb-0"
                                th:text="${sub.title}">Submission title</h2>
                            <!-- Icon Divider-->
                            <div class="divider-custom">
                                <div class="divider-custom-line"></div>
                            </div>
                            <!-- Portfolio Modal - Text-->
                            <p class="mb-4" th:text="${sub.story}">Story</p>

                            <hr class="my-4"/>
                            <!--                            Jury feedback and scoring-->
                            <a th:if="${currentUser.isOrganizer() || currentUser.getJury().contains(contest)}"
                               href="#" th:href="@{/score/{id}/new(id=${sub.id})}">
                                <button th:if="${contest.phase.id == 2}" class="btn btn-cancel"
                                        data-bs-dismiss="modal">
                                    <i class="fa-solid fa-star-half-stroke"></i>
                                    Rate
                                </button>
                            </a>
                            <br/>
                            <!--                            Score-->
                            <div class="divider-custom">
                                <div class="divider-custom-line"></div>
                                <div class="divider-custom-icon">
                                    <p class="mb-4" th:text="${sub.points} + ' Points'">Points</p>
                                </div>
                                <div class="divider-custom-line"></div>
                            </div>
                            <h4 class="text-secondary text-uppercase text-center mb-0"
                                th:text="'Comments'">Comments</h4>
                            <hr class="my-4"/>
                            <!--                            Comment-->
                            <div class="mb-4" th:each="score: ${sub.getScoring()}">
                                <p class="mb-4 text-center" th:text="${score.comment}">Comment</p>
                                <div class="mb-4 text-center">
                                    <a th:href="@{/users/{id}(id=${score.user.id})}">
                                        <h6 class="mb-4 text-center list-inline-item" th:text="*{score.user.username}">
                                            Name</h6>
                                    </a>
                                    <!--    Update Score-->
                                    <a th:href="@{/score/{id}/update(id=${score.id})}">
                                        <button th:if="${currentUser.username.equals(score.user.username)}"
                                                class="btn btn-cancel list-inline-item"
                                                type="button">
                                            <i class="fas fa-pen-alt"></i>
                                        </button>
                                    </a>
                                    <div>
                                        <hr class="my-4"/>
                                    </div>
                                </div>
                            </div>
                            <button class="btn btn-cancel" data-bs-dismiss="modal">
                                <i class="fas fa-xmark fa-fw"></i>
                                Close Window
                            </button>
                            <br/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--Join Contest with submission Modal-->
<div class="portfolio-modal modal fade" id="joincontest" tabindex="-1" aria-labelledby="portfolioModal1"
     aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header border-0">
                <button class="btn-close" type="button" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body text-center pb-5">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-lg-8">
                            <!-- Portfolio Modal - Title-->
                            <form class="mb-4" action="#" enctype="multipart/form-data"
                                  th:action="@{/submissions/{contestId}/new(contestId=${contest.getId()})}"
                                  th:object="${submission}" method="post">
                                <div class="alert alert-danger">
                                    <strong>Warning!</strong> Once You upload a submission it can not be updated.
                                </div>
                                <div class="form-floating mb-3">
                                    <input type="text" class="form-control" id="floatingInput"
                                           th:field="*{title}" placeholder="Submission title">
                                    <label for="floatingInput">Title your work</label>
                                </div>
                                <div class="form-floating mb-3">
                                </div>
                                <div class="form-group">
                                    <label th:for="text">Write a story about your work</label>
                                    <textarea class="form-control story-area" th:field="*{story}" maxlength="8000"
                                              id="text"
                                              name="text"
                                              rows="5"> </textarea>
                                    <span style="background-color: rgba(255,44,0,0)"
                                          class="pull-right label label-default" id="count_message">0/8000</span>
                                </div>
                                <label class="form-label" for="fileImage">Upload your masterpiece!</label>
                                <input type="file" name="fileImage" id="fileImage" th:field="*{multipartFile}"
                                       class="form-control"/>
                                <br/>
                                <button type="submit" class="btn btn-secondary" data-bs-dismiss="modal">
                                    <i class="fas fa-check fa-fw"></i>
                                    Join Event
                                </button>
                                <button class="btn btn-cancel" data-bs-dismiss="modal">
                                    <i class="fas fa-xmark fa-fw"></i>
                                    Cancel Join
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.startbootstrap.com/sb-forms-latest.js"></script>
</body>
</html>